### Function

# EDataServer NamedParameters new_string

since: 3.18

#### Declaration [src]

    ENamedParameters*
    e_named_parameters_new_string (
      const gchar* str
    )

#### Description [src]

Creates a new instance of an `ENamedParameters`, with initial content being taken from `str`. This should be freed with e_named_parameters_free(), when no longer needed. Names are compared case insensitively.

The `str` should be created with e_named_parameters_to_string(), to be properly encoded.

The structure is not thread safe, if the caller requires thread safety, then it should provide it on its own.

Available since: 3.18

#### Parameters

`str`

  Type: `const gchar*`

  A string to be used as a content of a newly created `ENamedParameters`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ENamedParameters`

Newly allocated `ENamedParameters`.

The caller of the function takes ownership of the data, and is responsible for freeing it.